Upload an action's template or form

View as Markdown

Multipart upload that creates (201) the generate/fill action’s own action-scoped template (DOCX/Liquid) or form (PDF/image), or replaces (200) its file when one already exists. Extract actions don’t use a template.

Authentication

AuthorizationBearer

WorkOS session JWT or an organization API key, sent as Authorization: Bearer <token>.

Path parameters

idstringRequired

Request

The template/form file and its metadata.

filefileRequired

The template (DOCX/Liquid) or form (PDF/image) file.

namestringOptional
Optional template name.
descriptionstringOptional
Optional description.
bindingstringOptional
Optional JSON binding descriptor.

Response

The replaced template/form.

templatemap from strings to any
An arbitrary JSON object.
definitionmap from strings to any
An arbitrary JSON object.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error